curl --request PUT \
--url https://dashboard.dashsocial.com/reports/data \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"benchmarks": [
{
"industry_id": 123
}
],
"competitor_source_account_ids": [
"<string>"
]
}
'import requests
url = "https://dashboard.dashsocial.com/reports/data"
payload = {
"benchmarks": [{ "industry_id": 123 }],
"competitor_source_account_ids": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({benchmarks: [{industry_id: 123}], competitor_source_account_ids: ['<string>']})
};
fetch('https://dashboard.dashsocial.com/reports/data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": "<unknown>"
}{
"code": 123,
"errors": {},
"message": "<string>",
"status": "<string>"
}{
"code": 123,
"errors": {},
"message": "<string>",
"status": "<string>"
}Query report data with request body
Retrieve report data for Competitive and Benchmark reports. Use this endpoint when you need to pass competitor_source_account_ids or benchmarks in the request body.
- See Export dashboard report data via API for detailed guides on each report type.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The content length of report data
Channels requested by the report
1FACEBOOK, INSTAGRAM, INSTAGRAM_UGC, INSTAGRAM_STORIES, INSTAGRAM_COMPETITIVE, INSTAGRAM_BENCHMARKS, PINTEREST, TIKTOK, TWITTER, YOUTUBE Sort Order requested by the report (ASC | DESC)
ASC, DESC Start date of the reporting time range. Required if include_data=True
"2021-02-01"
End date of the reporting time range. Required if include_data=True
"2021-02-07"
Filters for specific channels
Show child attributes
Show child attributes
Preferred filename prefix for the report. If not provided, report_type type will be used.
Metric requested by the report
1List of ids of the brands requested by the report
1x >= 0The way data should be grouped in graph reports, can be either DAILY or MONTHLY
DAILY, MONTHLY "DAILY"
The type report data to return can be: ['CONTENT_OWNED', 'CONTENT_OWNED_STORIES', 'CONTENT_UGC', 'CONTENT', 'MULTI_BRAND_METRIC', 'SINGLE_METRIC', 'GRAPH', 'HEADER', 'COMPETITIVE_CONTENT', 'COMPETITIVE_MULTI_BRAND_METRIC', 'COMPETITIVE_GRAPH', 'MULTI_METRIC_MEDIA_TYPE', 'BENCHMARK_METRIC', 'BENCHMARK_GRAPH']
CONTENT_OWNED, CONTENT_OWNED_STORIES, CONTENT_UGC, CONTENT, MULTI_BRAND_METRIC, SINGLE_METRIC, GRAPH, HEADER, COMPETITIVE_CONTENT, COMPETITIVE_MULTI_BRAND_METRIC, COMPETITIVE_GRAPH, MULTI_METRIC_MEDIA_TYPE, BENCHMARK_METRIC, BENCHMARK_GRAPH "SINGLE_METRIC"
The format in which the report will be returned
csv List of ids of the competitive brands requested by the report
1If true, ElasticSearch stats will have a null value instead of a 0 if no posts of the required type have been created within the requested time frame.
Start date of the reporting comparison time range. Required for metric reports
"2021-01-07"
If true, the share of voice metric will be calculated for valid isntagram competitive metrics
Start date of the reporting comparison time range. Required for metric reports
"2021-01-01"
Body
Response
OK
Report data on the requested metric